Package org.freeplane.api

# Interface DependencyLookup

All Known Subinterfaces:
  `Proxy.DependencyLookup`

public interface DependencyLookup
Calculates dependencies related to node value or attribute.

Since:
  1.7.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<? extends NodeRO,Dependencies>`
  `ofAttribute(int attributeIndex)`
  Calculates dependencies related to attribute given by index.
  `Map<? extends NodeRO,Dependencies>`
  `ofAttribute(String attributeName)`
  Calculates dependencies related to first attribute with given name.
  `Map<? extends NodeRO,Dependencies>`
  `ofNode()`
  Calculates dependencies related to node value.

- ## Method Details

  - ### ofNode

    Map<? extends NodeRO,Dependencies> ofNode()
    Calculates dependencies related to node value.
    Since:
      1.7.2

  - ### ofAttribute

    Map<? extends NodeRO,Dependencies> ofAttribute(int attributeIndex)
    Calculates dependencies related to attribute given by index.
    Since:
      1.7.2

  - ### ofAttribute

    Map<? extends NodeRO,Dependencies> ofAttribute(String attributeName)
    Calculates dependencies related to first attribute with given name.
    Since:
      1.7.2